Subject: bug#51591: webkitgtk fails to build on i686-linux; possibly a clang issue

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 04 Nov 2021 22:38:55 -0400

Hello,

Mark H Weaver <[email-masked]> writes:

> Earlier, I wrote:
>> libwebkit2gtk-4.0.so fails to link on i686-linux, due to an undefined
>> reference to '__mulodi4'.
>
> Here are some relevant links:
>
>   https://bugs.webkit.org/show_bug.cgi?id=190208
>   https://trac.webkit.org/changeset/272140/webkit
>   https://github.com/android/ndk/issues/506
>
>>   https://ci.guix.gnu.org/build/1428233/details
> [...]
>> [100%] Linking CXX shared library ../../lib/libwebkit2gtk-4.0.so
>> cd /tmp/guix-build-webkitgtk-2.34.1.drv-0/build/Source/WebKit && /gnu/store/4mlbaklbibcdgprxg7vp42vkafs69v9i-cmake-minimal-3.16.5/bin/cmake -E cmake_link_script CMakeFiles/WebKit.dir/link.txt --verbose=1
>> /gnu/store/dbcwl680w24rf2dn2pk3gx9nmvz7rl9c-clang-11.0.0/bin/clang++ -fPIC -Wextra -Wall -mfpmath=sse -msse2 [...]
>
> Also, I just noticed that "-mfpmath=sse -msse2" is being passed on the
> compile command line.  Historically, we've chosen not to assume the
> availability of SSE or SSE2 on i686-linux, so it would be good to
> inhibit those flags.
>
>        Mark

FWIW, webkitgtk-with-libsoup2 on the core-updates-frozen-batched-changes
has built fine with GCC 10 on x86_64; I can't test currently there on
i686 due to another issue lower in the chain, but perhaps it'd work fine
too.

HTH!

Maxim